## make-3.81 3.81-maemo1

=== debian/changelog ===
make-3.81 (3.81-maemo1) natty; urgency=low

  * For Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 20 Sep 2011 10:45:02 -0700

make-dfsg (3.81-8ubuntu1) natty; urgency=low

  * remake.c, configure.in: prepend multiarch paths to the library path in 
    library_search() when we have a target dependency of '-lfoo', so that
    this still works when all our libraries are moving to multiarch library
    directories.  LP: #737641.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Mar 2011 13:42:02 -0700

make-dfsg (3.81-8) unstable; urgency=low

  * New bug fixing release.
  * [a6f53b8]: [topic--overlap-strcpy-fix]: make corrupts commands with
    latest eglibc make uses strcpy() on overlapping strings, recent
    (e)glibc doesn't tolerate this. strcpy is not defined to work on
    overlapping regions. This is upstream bug
    https://savannah.gnu.org/bugs/index.php?29253 The fix comes thanks
    to Roderich Schupp and Max Bowsher.
    Bug fix: "make corrupts commands with latest eglibc (strcpy of
    overlapping strings)", thanks to Roderich Schupp    (Closes: #568665).
  * Bug fix: "make package built from source missing libc6 dependency",
    thanks to Daniel Schepler                           (Closes: #569924).
  * Bug fix: "Please build-depend on autopoint", thanks to Santiago Vila
                                                         (Closes: #572474).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 21 Mar 2010 12:42:55 -0700

make-dfsg (3.81-7) unstable; urgency=low

  * Checked against latest policy. Added  few minor tweaks to fix problems
    pointed out b lintian, and removed a false positive lintian check.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 01 Nov 2009 20:28:51 -0600

make-dfsg (3.81-6) unstable; urgency=low

  * [debian:8ea2843]: [make-dfsg]: Update package description
    Update and trim the package description.
    Bug fix: "improving the package description", thanks to Justin B Rye
                                                       (Closes: #508456).
  * [debian:586087b]: [make-dfsg]: Use autoreconf to refresh the build system.
    Bug fix: "FTBFS: Outdated config.{sub,guess}", thanks to Bradley Smith
                                                        (Closes: #533681).
  * [4ae7fd6]: [topic--override-fix]: Fix override behaviour discrepancies
    target specific override appears to be ignored completely if the
    variable is passed on the command line. Closes: 524378 
    Bug fix: "corner cases in &#39;override&#39; logic for variables",
    thanks to Ron                                        (Closes: #524378).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 21 Jun 2009 11:40:43 -0500

make-dfsg (3.81-5) unstable; urgency=low

  * Record the fact that this package has moved to a new git repository.
  * Move to the new, make -j friendly targets in debian/rules.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 02 Jun 2008 09:37:36 -0500

make-dfsg (3.81-4) unstable; urgency=low

  * NMU ack.  double free or corruption bug on file globbing, 419190. 
  * Bug fix: "make: Directory Search for Link Libraries does not look in
    /usr/local/lib", thanks to Daniel Barlow.  In the Debian binaries,
    PREFIX is /usr and thus this searches /lib,  /usr/lib and /usr/lib
    again and therefore misses any libraries that  are not packaged and
    were installed by the site admin.  The ideal behaviour would be to
    have the search path set by a Makefile variable (other than the VPATH
    blunt object) but even absent that, it would be more useful if it
    looked in /usr/local/lib even though make itself hasn't been installed
    in the /usr/local tree.                          Closes: Bug#288592
  * Bug fix: "make: make should suggest make-doc not make-doc-non-dfsg
    which is a source package", thanks to lukpank@o2.pl (Łukasz Pankowski)
                                                     Closes: Bug#473759

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 03 Apr 2008 02:04:02 -0500

make-dfsg (3.81-3.1) unstable; urgency=low

  * NMU with permission.
  * Bug fix: Avoid double-free on file globbing. (Closes: #419190).
  * Misc: Updated standards version to 3.7.3 (no changes)

 -- Steve Kemp <skx@debian.org>  Thu, 13 Mar 2008 19:50:10 +0000

make-dfsg (3.81-3) unstable; urgency=low

  * Bug fix: "typo in make.1", thanks to LI Daobing (Closes: #375984).
  * Bug fix: "Please suggest make-doc", thanks to Moritz Muehlenhoff
                                                    (Closes: #362297).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2006 15:10:59 -0500

make-dfsg (3.81-2) unstable; urgency=low

  * Bug fix: "Please suggest make-doc", thanks to Moritz Muehlenhoff
                                                             (Closes: #362297).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  3 May 2006 21:49:55 -0500

make-dfsg (3.81-1) unstable; urgency=low

  * New upstream release

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 10 Apr 2006 17:24:57 -0500

make-dfsg (3.80+3.81.rc2-1) unstable; urgency=low

  * New upstream release candidate.
  * Bug fix: "Make always recompiles everything in the Linux Kernel.",
    thanks to Neil Brown. This is really a bug in the kernel build system,
    not make. However, this release defers the change so as not to trigger
    the bug.                                      (Closes: #356552, #356630).
                                      

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 20 Mar 2006 15:37:15 -0600

make (3.80+3.81.rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Bug fix: "make: the '-W <file>' option used with VPATH does not work
    correctly", thanks to Jeff Sheinberg                  (Closes: #107624).
  * Bug fix: "make shows incorrect line number in error report", thanks to
    Nikita V. Youshchenko                                 (Closes: #274840).
  * Bug fix: "make: [doc] Implicit Rules: C++", thanks to LI Daobing

