=== debian/control ===
Source: make-3.81
VCS-Git: git://git.debian.org/~srivasta/debian/make-dfsg.git
VCS-Browser: http://git.debian.org/git/users/srivasta/debian/make-dfsg.git
Section: devel
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.8.3.0
Homepage: http://www.gnu.org/software/make/
Build-Depends: autoconf, automake (>= 1:1.10), gettext, file

Package: make-3.81
Section: devel
Priority: standard
Suggests: make-doc
Conflicts: make
Architecture: any
Description: An utility for Directing compilation.
 GNU Make is an utility which controls the generation of executables and
 other target files of a program from the program's source files. It
 determines automatically which pieces of a large program need to be
 (re)created, and issues the commands to (re)create them. Make is not
 limited to programs and executable, it can be applied to any task
 where a set of target files must be created based on a set of input
 files, based on dependency and processing rules. Indeed, Make is a
 general purpose dependency solver.
Depends: ${shlibs:Depends}
