## make-3.81 3.81-maemo2

=== debian/changelog ===
make-3.81 (3.81-maemo2) natty; urgency=low

  * Postinstall magic to overwrite /usr/bin/make (this package doesn't conflict with make)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 25 Sep 2011 18:19:02 -0700
