=== debian/rules ===
--- 
+++ 
@@ -80,7 +80,7 @@
 
 	#meant to replace package 'make'
 	install -d  ${CURDIR}/debian/make-3.81/usr/bin
-	install ${CURDIR}/make ${CURDIR}/debian/make-3.81/usr/bin
+	install ${CURDIR}/make ${CURDIR}/debian/make-3.81/usr/bin/make-3.81
 
 # Build architecture-independent files here.
 binary-indep: build install
