## make-3.81 3.81-maemo3

=== debian/changelog ===
make-3.81 (3.81-maemo3) natty; urgency=low

  * Fix installation

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 26 Sep 2011 10:54:02 -0700
