=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Section: devel
 Priority: standard
 Suggests: make-doc
-Conflicts: make
 Architecture: any
 Description: An utility for Directing compilation.
  GNU Make is an utility which controls the generation of executables and
