=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,7 @@
 	# Add here commands to compile the package.
 	./configure
 	make
+
 	touch build-stamp
 
 clean: config.status
@@ -75,12 +76,16 @@
 
 	# Add here commands to install the package into debian/<packagename>
 	#$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install
-	#!/bin/sh
+
 	CURDIR=$1
 
 	#meant to replace package 'make'
-	install -d  ${CURDIR}/debian/make-3.81/usr/bin
-	install ${CURDIR}/make ${CURDIR}/debian/make-3.81/usr/bin/make-3.81
+	#install -d  ${CURDIR}/debian/make-3.81/usr/bin
+	#install ${CURDIR}/make ${CURDIR}/debian/make-3.81/usr/bin/make-3.81
+
+	install -d  ${CURDIR}/debian/tmp/usr/bin
+	install ${CURDIR}/make ${CURDIR}/debian/tmp/usr/bin/make-3.81
+
 
 # Build architecture-independent files here.
 binary-indep: build install
